Bug 13490 - App crashes when culture is zh_TW
Summary: App crashes when culture is zh_TW
Status: VERIFIED FIXED
Alias: None
Product: Android
Classification: Xamarin
Component: BCL Class Libraries (show other bugs)
Version: 4.8.x
Hardware: PC Windows
: --- normal
Target Milestone: ---
Assignee: Jonathan Pryor
URL:
Depends on:
Blocks:
 
Reported: 2013-07-25 19:30 UTC by Song Chen
Modified: 2013-07-30 12:11 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Test case (9.23 KB, application/zip)
2013-07-26 18:39 UTC, Brendan Zagaeski (Xamarin Team, assistant)
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Song Chen 2013-07-25 19:30:49 UTC
When setting the Android to language Chinese - Traditional, the app will crash when some .net functions are used. For example, string.EndsWith.
Comment 1 Brendan Zagaeski (Xamarin Team, assistant) 2013-07-26 18:39:34 UTC
From Song Chen:

I am using 4.8.0. You can just simply download the “Hello World” example, and add the string.EndsWith method anywhere, e.g. the button click handler. Then deploy it to a device with language set to Chinese – Traditional, and you will see the app crash after clicking the button.

-------

Steps to reproduce:
1. Set the Android Language to: 中文(繁體)
2. Run the attached example (Android template project, plus a call to string.EndsWith())
3. Click the button
4. The program quits

Change the language to something else, kill the app (or redeploy, or restart the device), run it again, click the button, and the app does not quit.
Comment 2 Brendan Zagaeski (Xamarin Team, assistant) 2013-07-26 18:39:54 UTC
Created attachment 4461 [details]
Test case
Comment 3 Mikayla Hutchinson [MSFT] 2013-07-29 13:39:42 UTC
For fix and explanation, see bug 13509.
Comment 4 Jonathan Pryor 2013-07-29 15:07:10 UTC
monodroid/a93d13b7 includes this fix. The fix will be in Xamarin.Android 4.8.2.
Comment 5 Peter Collins 2013-07-30 12:11:31 UTC
Fix verified in:
Mono 3.2.1 ((no/675bb0f) - currently in the beta channel.
X.A (4.8.0 branch / 36605a9a)